kind: DaemonSet
apiVersion: apps/v1
metadata:
  annotations:
    deprecated.daemonset.template.generation: '1'
    kubectl.kubernetes.io/last-applied-configuration: >
      {"apiVersion":"extensions/v1beta1","kind":"DaemonSet","metadata":{"annotations":{"portworx.com/install-source":"70.0.0.65:/home/zox/.git_repos/pauser.git"},"name":"pauser","namespace":"kube-system"},"spec":{"minReadySeconds":0,"template":{"metadata":{"labels":{"name":"pauser"}},"spec":{"affinity":{"nodeAffinity":{"requiredDuringSchedulingIgnoredDuringExecution":{"nodeSelectorTerms":[{"matchExpressions":[{"key":"node-role.kubernetes.io/master","operator":"DoesNotExist"}]}]}}},"containers":[{"command":["/pause"],"env":[{"name":"foo","value":"bar"}],"image":"zoxpx/pauser:latest","imagePullPolicy":"Always","name":"pauser","securityContext":{"privileged":true},"volumeMounts":[{"mountPath":"/etc/pwx","name":"etcpwx"},{"mountPath":"/opt/pwx","name":"optpwx"},{"mountPath":"/dev","name":"dev"},{"mountPath":"/hostproc","name":"hostproc"}]}],"hostNetwork":true,"hostPID":true,"restartPolicy":"Always","volumes":[{"hostPath":{"path":"/etc/pwx"},"name":"etcpwx"},{"hostPath":{"path":"/opt/pwx"},"name":"optpwx"},{"hostPath":{"path":"/dev"},"name":"dev"},{"hostPath":{"path":"/proc"},"name":"hostproc"}]}},"updateStrategy":{"rollingUpdate":{"maxUnavailable":"100%"},"type":"RollingUpdate"}}}
    portworx.com/install-source: '70.0.0.65:/home/zox/.git_repos/pauser.git'
  selfLink: /apis/apps/v1/namespaces/kube-system/daemonsets/pauser
  resourceVersion: '30232'
  name: pauser
  uid: 9002174a-687e-11e9-9125-06a9b8f9b230
  creationTimestamp: '2019-04-26T23:54:00Z'
  generation: 1
  namespace: kube-system
  labels:
    name: pauser
spec:
  selector:
    matchLabels:
      name: pauser
  template:
    metadata:
      creationTimestamp: null
      labels:
        name: pauser
    spec:
      restartPolicy: Always
      hostPID: true
      schedulerName: default-scheduler
      hostNetwork: true
      affinity:
        nodeAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
            nodeSelectorTerms:
              - matchExpressions:
                  - key: node-role.kubernetes.io/master
                    operator: DoesNotExist
      terminationGracePeriodSeconds: 30
      securityContext: {}
      containers:
        - resources: {}
          terminationMessagePath: /dev/termination-log
          name: pauser
          command:
            - /pause
          env:
            - name: foo
              value: bar
          securityContext:
            privileged: true
          imagePullPolicy: Always
          volumeMounts:
            - name: etcpwx
              mountPath: /etc/pwx
            - name: optpwx
              mountPath: /opt/pwx
            - name: dev
              mountPath: /dev
            - name: hostproc
              mountPath: /hostproc
          terminationMessagePolicy: File
          image: docker.io/portworx/px-debug:latest
      volumes:
        - name: etcpwx
          hostPath:
            path: /etc/pwx
            type: ''
        - name: optpwx
          hostPath:
            path: /opt/pwx
            type: ''
        - name: dev
          hostPath:
            path: /dev
            type: ''
        - name: hostproc
          hostPath:
            path: /proc
            type: ''
      dnsPolicy: ClusterFirst
  updateStrategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 100%
  revisionHistoryLimit: 10
status:
  currentNumberScheduled: 3
  numberMisscheduled: 0
  desiredNumberScheduled: 3
  numberReady: 3
  observedGeneration: 1
  updatedNumberScheduled: 3
  numberAvailable: 3
